"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const util_1 = require("util");
const fs = require("fs");
const readdir = util_1.promisify(fs.readdir);
const stat = util_1.promisify(fs.stat);
async function listFiles(path) {
    const out = [];
    let s = await stat(path);
    if (s.isDirectory()) {
        const files = (await readdir(path) || []).filter(f => f[0] !== '.').map(f => `${path}/${f}`);
        for (let f of files) {
            out.push(...await listFiles(f));
        }
    }
    else if (s.isFile()) {
        out.push(path);
    }
    return out;
}
exports.default = listFiles;
//# sourceMappingURL=walkdir.js.map